WordPress.org

Make WordPress Core

Changeset 31527


Ignore:
Timestamp:
02/24/2015 03:00:54 AM (7 years ago)
Author:
dd32
Message:

Upgrades: Specifically pass the 'version' and 'locale' POST vars through the Core Update FTP credentials form.
This bug was introduced with [30384] / #30245
Fixes #31378 for trunk.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/wp-admin/update-core.php

    r31513 r31527  
    393393<?php
    394394
    395     if ( false === ( $credentials = request_filesystem_credentials( $url, '', false, ABSPATH, array(), $allow_relaxed_file_ownership ) ) ) {
     395    if ( false === ( $credentials = request_filesystem_credentials( $url, '', false, ABSPATH, array( 'version', 'locale' ), $allow_relaxed_file_ownership ) ) ) {
    396396        echo '</div>';
    397397        return;
     
    400400    if ( ! WP_Filesystem( $credentials, ABSPATH, $allow_relaxed_file_ownership ) ) {
    401401        // Failed to connect, Error and request again
    402         request_filesystem_credentials( $url, '', true, ABSPATH, array(), $allow_relaxed_file_ownership );
     402        request_filesystem_credentials( $url, '', true, ABSPATH, array( 'version', 'locale' ), $allow_relaxed_file_ownership );
    403403        echo '</div>';
    404404        return;
Note: See TracChangeset for help on using the changeset viewer.